      SUBROUTINE combi0(ioijkl,n,M,ifin)
      INTEGER*4 ioijkl(m)
c     write(6,*)'combi0 m,n',m,n
      ifin=0
      if(m.eq.0) goto 1
      do i=1,m-1
         ioijkl(i)=i
      enddo
c     ioijkl(m)=m-1
      ioijkl(m)=m
      do i=1,m
         if(ioijkl(i).ne.n-m+i) return
      enddo
 1    ifin=1
      return
      end
